FruxonDocs
AgentsExecution Records

Gets the detailed trace of a specific execution.

Returns the full execution trace including all intermediate steps, tool calls, AI model interactions, and timing breakdowns.

GET
/v1/tenants/{tenant}/agents/{agent}/execution-records/{executionRecord}:trace

Path Parameters

agent*string

The unique identifier of the agent.

executionRecord*string

The execution record identifier.

tenant*string

The tenant identifier

Response Body

curl -X GET "https://api.fruxon.com/v1/tenants/string/agents/string/execution-records/string:trace"
{
  "agentExecutionRecordId": "00000000-0000-0000-0000-000000000000",
  "agentId": "string",
  "agentRevision": 0,
  "startTime": 0,
  "endTime": 0,
  "traces": [
    {
      "id": "string",
      "displayName": "string",
      "type": "Unknown",
      "llmStepTrace": {
        "providerId": "string",
        "model": "string",
        "inputTokens": 0,
        "outputTokens": 0,
        "cachedTokens": 0,
        "thinkingTokens": 0,
        "inputCost": 0,
        "outputCost": 0,
        "cachedCost": 0,
        "tools": [],
        "llmMessages": [],
        "serverToolInvocations": []
      },
      "toolTrace": {
        "tool": null,
        "displayName": "string",
        "toolType": "Undefined",
        "parameters": {},
        "cost": null
      },
      "steps": [],
      "result": {
        "strValue": "string",
        "jsonValue": null,
        "fileLink": "string"
      },
      "startTime": 0,
      "endTime": 0,
      "duration": 0
    }
  ],
  "createdAt": 0,
  "tenantId": "00000000-0000-0000-0000-000000000000"
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "property1": null,
  "property2": null
}